> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List templates

> List the published form templates by title. You can filter them by a word in the title or by category. When `page_number` is omitted, all matching templates are returned.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/templates.yaml GET /templates
openapi: 3.0.3
info:
  title: NeetoForm Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Templates
    description: APIs to browse form templates and create forms from them.
paths:
  /templates:
    get:
      tags:
        - Templates
      summary: List templates
      description: >-
        List the published form templates by title. You can filter them by a
        word in the title or by category. When `page_number` is omitted, all
        matching templates are returned.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: query
          name: search
          description: Text to look for in the template title.
          required: false
          schema:
            type: string
            example: feedback
        - in: query
          name: category
          description: Category name. The match is not case sensitive.
          required: false
          schema:
            type: string
            example: Feedback
        - $ref: '#/components/parameters/page_number_all_results_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/template_list_response'
              example:
                templates:
                  - id: 4e2a9b1c-7d3f-4c8e-9a5b-1f0e2d3c4b5a
                    title: Customer feedback
                    slug: customer-feedback
                    categories:
                      - Feedback
                    preview_url: >-
                      https://templates.neetoform.com/abc123?embedPreview=true&templateView=true&disable_widgets=true
                pagination:
                  total_records: 1
                  total_pages: 1
                  current_page_number: 1
                  page_size: 30
        '422':
          description: Unprocessable Entity - The category does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: >-
                  Unknown template category 'Quizzes'. Available categories:
                  Events, Feedback
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_all_results_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. When omitted, all results
        are returned in one response and `page_size` is ignored.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    template_list_response:
      allOf:
        - type: object
          properties:
            templates:
              type: array
              items:
                $ref: '#/components/schemas/template'
        - $ref: '#/components/schemas/paginated_response'
    error_response:
      type: object
      properties:
        error:
          type: string
    template:
      type: object
      properties:
        id:
          type: string
          example: 4e2a9b1c-7d3f-4c8e-9a5b-1f0e2d3c4b5a
        title:
          type: string
          example: Customer feedback
        slug:
          type: string
          example: customer-feedback
        categories:
          type: array
          items:
            type: string
          example:
            - Feedback
        preview_url:
          type: string
          example: >-
            https://templates.neetoform.com/abc123?embedPreview=true&templateView=true&disable_widgets=true
    paginated_response:
      type: object
      properties:
        pagination:
          type: object
          properties:
            total_records:
              type: integer
            total_pages:
              type: integer
            current_page_number:
              type: integer
            page_size:
              type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.